﻿using System;
using System.ComponentModel;
using System.Globalization;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace Forum125552Testing
{
	public partial class Forum125552TestingPage : ContentPage
	{
		Entry selectedDate;
		PopupControl control;

		public Forum125552TestingPage()
		{
			InitializeComponent();

			Grid parentGrid = new Grid();
			selectedDate = new Entry() { WidthRequest = 200 };
			Button btn = new Button() {  WidthRequest = 80 ,Text="Show"};
			control = new PopupControl();
			SfCalendar calendar = new SfCalendar() { HeightRequest = 350 };
			RowDefinition row1 = new RowDefinition() { Height = 40 };
			RowDefinition row2 = new RowDefinition(){ Height = 400 };
			parentGrid.RowDefinitions.Add(row1);
			parentGrid.RowDefinitions.Add(row2);
			StackLayout layout = new StackLayout() { Orientation = StackOrientation.Horizontal};
			Grid.SetRow(layout, 0);
			Grid.SetRow(control, 1);
			parentGrid.Children.Add(layout);
			parentGrid.Children.Add(control);
			layout.Children.Add(selectedDate);
			layout.Children.Add(btn);
			bool a=false;
			Button btnPrevious = new Button() { Text = "p" };
			calendar.OnViewModeChanged += (s, e) =>
			  {
				
			  };



			btnPrevious.Clicked += (s, e) =>
			{
				a = true;
				if(calendar.ViewMode==ViewMode.MonthView)
				calendar.MoveToDate = calendar.MoveToDate.AddYears(-1);
				else
					DisplayAlert("Sorry!", "Use Vertical Scrolling to navigate from one year to another year", "Ok");
			};
			Button btnNext = new Button(){ Text = "N" };

			btnNext.Clicked += (s, e) =>
			{
				a = true;
				if (calendar.ViewMode == ViewMode.MonthView)
					calendar.MoveToDate = calendar.MoveToDate.AddYears(1);
				else
					DisplayAlert("Sorry!", "Use Vertical Scrolling to navigate from one year to another year", "Ok");
			};
			var popLayout = new StackLayout
			{
				WidthRequest = 250,
				HeightRequest = 400,
				Orientation = StackOrientation.Vertical,
				BackgroundColor = Color.White,
				Padding = new Thickness(-20, 0, 10, 0),
				Children =
				{
					btnPrevious,
					calendar,
					btnNext
				}
			};
			calendar.SelectionChanged += (s, e) =>
			{
				if (!a)
				{
					if (calendar.ViewMode == ViewMode.MonthView)
					{
						selectedDate.Text = e.DateAdded[0].ToString();
						control.DismissPopup();
					}
				}

				a = false;
			};

			btn.Clicked += (s, e) =>
			{
				control.ShowPopup(popLayout);
			};

			parentGrid.Padding = new Thickness(40, 80, 10, 0);
			Content = parentGrid;
		}


}

}
